Page MenuHomePhabricator

Match-up type sizes for possible extensions, based on actual bit-size rather than rounded-up byte size.
ClosedPublic

Authored by clin1 on Feb 7 2022, 4:07 PM.

Details

Summary

Avoids asserting in SCEV when the target extension type is actually smaller than the source type.

Diff Detail

Event Timeline

clin1 created this revision.Feb 7 2022, 4:07 PM
clin1 requested review of this revision.Feb 7 2022, 4:07 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 7 2022, 4:07 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 29 2022, 11:21 AM

Fuzzer fails are timeouts; very unlikely they are related to this diff.

clin1 added a comment.Apr 21 2022, 5:46 PM

Gentle ping... does anyone see any issues with this (hopefully) minor alteration?

nikic accepted this revision.Apr 22 2022, 12:51 AM

LGTM

llvm/test/Transforms/LoopLoadElim/loop-i1-count.ll
46

Please adjust the test to avoid undef as much as possible -- it makes it more likely that the test will break in the future.

This revision is now accepted and ready to land.Apr 22 2022, 12:51 AM
fhahn added inline comments.Apr 22 2022, 1:10 AM
llvm/test/Transforms/LoopLoadElim/loop-i1-count.ll
10

is there anything x86 specific about the test? If not please remove the target triple.

47

!llvm.loop needed?

clin1 updated this revision to Diff 424624.Apr 22 2022, 2:49 PM

Sharpened the test.

clin1 added a comment.Apr 22 2022, 2:49 PM

Updated --- thanks for your comments!

This revision was landed with ongoing or failed builds.Apr 22 2022, 11:16 PM
This revision was automatically updated to reflect the committed changes.